/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/api/Excel.ts":
/*!**************************!*\
  !*** ./src/api/Excel.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.Excel = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
const Sheets_1 = __webpack_require__(/*! ./Sheets */ "./src/api/Sheets.ts");
const WorkBooks_1 = __webpack_require__(/*! ./WorkBooks */ "./src/api/WorkBooks.ts");
class Excel extends xvbacomjs_1.XvbaCOM {
    constructor() {
        super("Excel.Application");
        this.Visible = () => this.SetBooleanValue("Visible", true);
        this.Name = () => this.GetStrValue("Name");
        this.Quit = () => this.CallMethodToGetVoid("Quit");
        this.WorkBooks = new WorkBooks_1.WorkBooks();
    }
    get Sheets() {
        if (this._Sheets == undefined) {
            this._Sheets = this.CreateObject(Sheets_1.Sheets);
            return this._Sheets;
        }
        else {
            return this._Sheets;
        }
    }
}
exports.Excel = Excel;


/***/ }),

/***/ "./src/api/Sheets.ts":
/*!***************************!*\
  !*** ./src/api/Sheets.ts ***!
  \***************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.Sheets = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
class Sheets extends xvbacomjs_1.XvbaCOM {
    constructor(param) {
        super(param);
    }
    Count() {
        return this.GetNumbValue("Count");
    }
}
exports.Sheets = Sheets;


/***/ }),

/***/ "./src/api/VBComponent.ts":
/*!********************************!*\
  !*** ./src/api/VBComponent.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.VBComponent = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
class VBComponent extends xvbacomjs_1.XvbaCOM {
    constructor(param) {
        super(param);
    }
    get Name() {
        if (this._Name == undefined) {
            this._Name = this.GetStrValue("Name");
        }
        return this._Name;
    }
    get Type() {
        if (this._Type == undefined) {
            this._Type = this.GetNumbValue("Type");
        }
        return this._Type;
    }
    Export(compFilePath) {
        return this.CallMethodToGetNumber("Export", compFilePath);
    }
}
exports.VBComponent = VBComponent;


/***/ }),

/***/ "./src/api/VBComponents.ts":
/*!*********************************!*\
  !*** ./src/api/VBComponents.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.VBComponents = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
const VBComponent_1 = __webpack_require__(/*! ./VBComponent */ "./src/api/VBComponent.ts");
class VBComponents extends xvbacomjs_1.XvbaCOM {
    constructor(prop) {
        super(prop);
    }
    get Count() {
        this._Count = this.GetNumbValue("Count");
        return this._Count;
    }
    Item(value) {
        return this.CallMethodToGetObject("Item", value, VBComponent_1.VBComponent);
    }
}
exports.VBComponents = VBComponents;


/***/ }),

/***/ "./src/api/VBProject.ts":
/*!******************************!*\
  !*** ./src/api/VBProject.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.VBProject = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
const VBComponents_1 = __webpack_require__(/*! ./VBComponents */ "./src/api/VBComponents.ts");
class VBProject extends xvbacomjs_1.XvbaCOM {
    constructor(prop) {
        super(prop);
    }
    get VBComponents() {
        if (this._VBComponents == undefined) {
            this._VBComponents = this.CreateObject(VBComponents_1.VBComponents);
        }
        return this._VBComponents;
    }
}
exports.VBProject = VBProject;


/***/ }),

/***/ "./src/api/WorkBook.ts":
/*!*****************************!*\
  !*** ./src/api/WorkBook.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.WorkBook = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
const VBProject_1 = __webpack_require__(/*! ./VBProject */ "./src/api/VBProject.ts");
class WorkBook extends xvbacomjs_1.XvbaCOM {
    constructor(prop) {
        super(prop);
        this.FullName = () => this.GetStrValue("FullName");
    }
    get VBProject() {
        if (this._VBProject == undefined) {
            this._VBProject = this.CreateObject(VBProject_1.VBProject);
            return this._VBProject;
        }
        else {
            return this._VBProject;
        }
    }
    set VBProject(ss) {
        this._VBProject = ss;
    }
    get Activate() {
        return this.GetNumbValue("Activate");
    }
}
exports.WorkBook = WorkBook;


/***/ }),

/***/ "./src/api/WorkBooks.ts":
/*!******************************!*\
  !*** ./src/api/WorkBooks.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.WorkBooks = void 0;
const xvbacomjs_1 = __webpack_require__(/*! xvbacomjs */ "xvbacomjs");
const WorkBook_1 = __webpack_require__(/*! ./WorkBook */ "./src/api/WorkBook.ts");
class WorkBooks extends xvbacomjs_1.XvbaCOM {
    constructor() {
        super();
    }
    /**
     * Open Excel file
     * @param filePath :string
     * @returns
     */
    Open(filePath) {
        return this.CallMethodToGetObject("Open", filePath, WorkBook_1.WorkBook);
    }
}
exports.WorkBooks = WorkBooks;


/***/ }),

/***/ "xvbacomjs":
/*!****************************!*\
  !*** external "xvbacomjs" ***!
  \****************************/
/***/ ((module) => {

module.exports = require("xvbacomjs");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
var exports = __webpack_exports__;
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ExcelXvba = void 0;
const Excel_1 = __webpack_require__(/*! ./api/Excel */ "./src/api/Excel.ts");
Object.defineProperty(exports, "ExcelXvba", ({ enumerable: true, get: function () { return Excel_1.Excel; } }));

})();

module.exports = __webpack_exports__;
/******/ })()
;
//# sourceMappingURL=index.js.map